
#version 430 core
out vec4 FragColor;

layout (location=0) uniform sampler2D iChannel0;


layout (location=1) uniform vec4 uniData;
#define    iResolution vec3(uniData.xyz)
#define    iTime       uniData.w


float sin01(float x) {
    return sin(x)*.5+.5;
}
#define F length(.5-fract(k.xyw*=mat3(-2,-1,2, 3,-2,1, 1,2,2)*

void mainImage(inout vec4 k, vec2 p)
{
    k.xy = p*(sin(k=vec4(iTime*.2)).w+2.)/2e2;
    k = pow(min(min(F.5)),F.4))),F.3))), 7.)*25.+vec4(0,.35,.5,1);
}



void main()
{
   // vec2 uv = gl_FragCoord.xy / iResolution.xy;
    FragColor=vec4(0,0,0,1);
    mainImage(FragColor, gl_FragCoord.xy);

}